scala.tools.nsc.backend.icode.analysis.TypeFlowAnalysis

# typeStackLattice

#### object typeStackLattice extends SemiLattice

The lattice of type stacks. It is a straight forward extension of the type lattice (lub is pairwise lub of the list elements).

Linear Supertypes
SemiLattice, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. typeStackLattice
2. SemiLattice
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Elem = Global.icodes.TypeStack

   Definition Classes
     typeStackLattice → SemiLattice

2. #### final case class IState [V, S](vars: V, stack: S) extends Product with Serializable

   Hold together local variable and stack state.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val bottom: Global.icodes.TypeStack

   Return the bottom element.

   Return the bottom element.

   Definition Classes
     typeStackLattice → SemiLattice

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### val exceptionHandlerStack: Global.icodes.TypeStack

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def lub(xs: List[Elem], exceptional: Boolean): Elem

    Compute the least upper bound of a list of elements.

    Compute the least upper bound of a list of elements.

    Definition Classes
      SemiLattice

17. #### def lub2(exceptional: Boolean)(s1: Global.icodes.TypeStack, s2: Global.icodes.TypeStack): Global.icodes.TypeStack

    Return the least upper bound of a and b.

    Return the least upper bound of a and b.

    Definition Classes
      typeStackLattice → SemiLattice

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### val top: Global.icodes.TypeStack

    Return the top element.

    Return the top element.

    Definition Classes
      typeStackLattice → SemiLattice

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from SemiLattice

### Inherited from AnyRef

### Inherited from Any

### Ungrouped